[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ButtonPanel' (#lcl)

# TPanelButton

Represents the visible buttons and glyphs used on a TButtonPanel control.

## Declaration

Source position: buttonpanel.pas line 25

`type TPanelButton = pbOK..pbHelp;`

## Description

TPanelButton is a range type with values which represent the visible buttons and glyphs used on TButtonPanel. Values in TPanelButton are stored in the TPanelButtons collection type, and used in the ShowButtons and ShowGlyphs properties in TButtonPanel control.

## Version info

Changed to a range type in LCL version 2.3.0.

## See also

TPanelButtons |  | Set type used to store TPanelButton values.
TButtonPanel.ShowButtons |  | Indicates the buttons displayed on the panel.
TButtonPanel.ShowGlyphs |  | Indicates the panel buttons displayed with Glyphs (small images).